<?xml version="1.0" encoding="UTF-8"?>

<!--XBRL Document Created with the Workiva Platform-->
<!--Copyright 2026 Workiva-->
<!--r:211f202c-0e47-4f38-9657-71701c157826,g:c3fa09cc-cfad-4444-adb2-1113e634c28b-->
<link:linkbase xmlns:link="http://www.xbrl.org/2003/linkbase" xmlns:xlink="http://www.w3.org/1999/xlink" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://www.xbrl.org/2003/linkbase http://www.xbrl.org/2003/xbrl-linkbase-2003-12-31.xsd">
  <link:arcroleRef arcroleURI="https://xbrl.org/2023/arcrole/summation-item" xlink:type="simple" xlink:href="https://www.xbrl.org/2023/calculation-1.1.xsd#summation-item"/>
  <link:roleRef roleURI="http://www.prosegur.es/role/StatementofcomprehensiveincomeprofitorlossbyfunctionofexpenseStatement" xlink:type="simple" xlink:href="549300N94L4D5NDBFG97-2025-12-31.xsd#StatementofcomprehensiveincomeprofitorlossbyfunctionofexpenseStatement"/>
  <link:calculationLink xlink:role="http://www.prosegur.es/role/StatementofcomprehensiveincomeprofitorlossbyfunctionofexpenseStatement" xlink:type="extended">
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_ProfitLoss_fc78581b-0039-48a9-ad0c-6eb9ece312d8" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_ProfitLoss"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_ProfitLossFromContinuingOperations_f2a6f60f-0f75-43fd-8f2b-8f81214aea4e" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_ProfitLossFromContinuingOperations"/>
    <link:calculationArc order="1" weight="1.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_ifrs-full_ProfitLoss_fc78581b-0039-48a9-ad0c-6eb9ece312d8" xlink:to="loc_ifrs-full_ProfitLossFromContinuingOperations_f2a6f60f-0f75-43fd-8f2b-8f81214aea4e" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_ProfitLossFromOperatingActivities_fd528403-6828-4279-8490-d1a1bdb8b62f" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_ProfitLossFromOperatingActivities"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_GrossProfit_e1e6b4ed-742a-4dc8-a426-a8f800a6f9b9" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_GrossProfit"/>
    <link:calculationArc order="1" weight="1.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_ifrs-full_ProfitLossFromOperatingActivities_fd528403-6828-4279-8490-d1a1bdb8b62f" xlink:to="loc_ifrs-full_GrossProfit_e1e6b4ed-742a-4dc8-a426-a8f800a6f9b9" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_OtherIncome_db1bba72-569c-432d-8e54-bca080835844" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_OtherIncome"/>
    <link:calculationArc order="2" weight="1.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_ifrs-full_ProfitLossFromOperatingActivities_fd528403-6828-4279-8490-d1a1bdb8b62f" xlink:to="loc_ifrs-full_OtherIncome_db1bba72-569c-432d-8e54-bca080835844" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_proseg_SaleAndAdministrativeExpenses_4cffed3e-f7d9-4c31-a31a-bb40a2824ce7" xlink:href="549300N94L4D5NDBFG97-2025-12-31.xsd#proseg_SaleAndAdministrativeExpenses"/>
    <link:calculationArc order="3" weight="-1.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_ifrs-full_ProfitLossFromOperatingActivities_fd528403-6828-4279-8490-d1a1bdb8b62f" xlink:to="loc_proseg_SaleAndAdministrativeExpenses_4cffed3e-f7d9-4c31-a31a-bb40a2824ce7" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_OtherExpenseByFunction_f7b185d4-9649-4422-85fe-077fe25fdc35" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_OtherExpenseByFunction"/>
    <link:calculationArc order="4" weight="-1.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_ifrs-full_ProfitLossFromOperatingActivities_fd528403-6828-4279-8490-d1a1bdb8b62f" xlink:to="loc_ifrs-full_OtherExpenseByFunction_f7b185d4-9649-4422-85fe-077fe25fdc35" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_ShareOfProfitLossOfAssociatesAndJointVenturesAccountedForUsingEquityMethod_ca16a249-f4c7-4d84-b7c1-23212159ee51" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_ShareOfProfitLossOfAssociatesAndJointVenturesAccountedForUsingEquityMethod"/>
    <link:calculationArc order="5" weight="1.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_ifrs-full_ProfitLossFromOperatingActivities_fd528403-6828-4279-8490-d1a1bdb8b62f" xlink:to="loc_ifrs-full_ShareOfProfitLossOfAssociatesAndJointVenturesAccountedForUsingEquityMethod_ca16a249-f4c7-4d84-b7c1-23212159ee51" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_FinanceIncomeCost_07b08348-2e34-4cff-86f9-79d29c94c844" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_FinanceIncomeCost"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_FinanceIncome_d62ab9f5-d12b-44bc-8e32-077c24825f1f" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_FinanceIncome"/>
    <link:calculationArc order="1" weight="1.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_ifrs-full_FinanceIncomeCost_07b08348-2e34-4cff-86f9-79d29c94c844" xlink:to="loc_ifrs-full_FinanceIncome_d62ab9f5-d12b-44bc-8e32-077c24825f1f" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_FinanceCosts_c19bae0f-58cc-4d70-a684-788cb7aa3792" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_FinanceCosts"/>
    <link:calculationArc order="2" weight="-1.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_ifrs-full_FinanceIncomeCost_07b08348-2e34-4cff-86f9-79d29c94c844" xlink:to="loc_ifrs-full_FinanceCosts_c19bae0f-58cc-4d70-a684-788cb7aa3792" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_ProfitLossFromContinuingOperations_cb9134c4-2d04-4fcf-9ede-155b0e0674d4" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_ProfitLossFromContinuingOperations"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_ProfitLossBeforeTax_80e6dcd1-6ce1-4f61-a8d6-09607f6fbd92" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_ProfitLossBeforeTax"/>
    <link:calculationArc order="1" weight="1.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_ifrs-full_ProfitLossFromContinuingOperations_cb9134c4-2d04-4fcf-9ede-155b0e0674d4" xlink:to="loc_ifrs-full_ProfitLossBeforeTax_80e6dcd1-6ce1-4f61-a8d6-09607f6fbd92" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_IncomeTaxExpenseContinuingOperations_9fa32474-e5fa-4782-8587-f112e373ab52" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_IncomeTaxExpenseContinuingOperations"/>
    <link:calculationArc order="2" weight="-1.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_ifrs-full_ProfitLossFromContinuingOperations_cb9134c4-2d04-4fcf-9ede-155b0e0674d4" xlink:to="loc_ifrs-full_IncomeTaxExpenseContinuingOperations_9fa32474-e5fa-4782-8587-f112e373ab52" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_ProfitLossBeforeTax_3abdeee6-f0cd-429a-8117-89776d3d3dc2" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_ProfitLossBeforeTax"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_ProfitLossFromOperatingActivities_06ccbec6-6949-4ea9-a0ad-fa6767b8ea4f" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_ProfitLossFromOperatingActivities"/>
    <link:calculationArc order="1" weight="1.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_ifrs-full_ProfitLossBeforeTax_3abdeee6-f0cd-429a-8117-89776d3d3dc2" xlink:to="loc_ifrs-full_ProfitLossFromOperatingActivities_06ccbec6-6949-4ea9-a0ad-fa6767b8ea4f" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_FinanceIncomeCost_00343e10-ab22-4db0-87b7-459e9d00ea79" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_FinanceIncomeCost"/>
    <link:calculationArc order="2" weight="1.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_ifrs-full_ProfitLossBeforeTax_3abdeee6-f0cd-429a-8117-89776d3d3dc2" xlink:to="loc_ifrs-full_FinanceIncomeCost_00343e10-ab22-4db0-87b7-459e9d00ea79" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_GrossProfit_d7d9ce29-2f96-482a-8772-991ef4b593a0" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_GrossProfit"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_CostOfSales_716ef99f-1eee-4d36-9df2-4ea39bdb08d1" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_CostOfSales"/>
    <link:calculationArc order="1" weight="-1.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_ifrs-full_GrossProfit_d7d9ce29-2f96-482a-8772-991ef4b593a0" xlink:to="loc_ifrs-full_CostOfSales_716ef99f-1eee-4d36-9df2-4ea39bdb08d1" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_Revenue_15d3a9e6-0f6a-4f4f-9d61-cf5264854511" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_Revenue"/>
    <link:calculationArc order="2" weight="1.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_ifrs-full_GrossProfit_d7d9ce29-2f96-482a-8772-991ef4b593a0" xlink:to="loc_ifrs-full_Revenue_15d3a9e6-0f6a-4f4f-9d61-cf5264854511" xlink:type="arc"/>
  </link:calculationLink>
  <link:roleRef roleURI="http://www.prosegur.es/role/StatementofcomprehensiveincomeOCIcomponentspresentednetoftaxStatement" xlink:type="simple" xlink:href="549300N94L4D5NDBFG97-2025-12-31.xsd#StatementofcomprehensiveincomeOCIcomponentspresentednetoftaxStatement"/>
  <link:calculationLink xlink:role="http://www.prosegur.es/role/StatementofcomprehensiveincomeOCIcomponentspresentednetoftaxStatement" xlink:type="extended">
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_OtherComprehensiveIncomeThatWillNotBeReclassifiedToProfitOrLossNetOfTax_f18ea071-7595-42f9-a4af-f5e086034879" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_OtherComprehensiveIncomeThatWillNotBeReclassifiedToProfitOrLossNetOfTax"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_OtherComprehensiveIncomeNetOfTaxGainsLossesOnHedgingInstrumentsThatHedgeInvestmentsInEquityInstruments_6a4dee36-e4a2-4cdc-b81e-5da449ee8269" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_OtherComprehensiveIncomeNetOfTaxGainsLossesOnHedgingInstrumentsThatHedgeInvestmentsInEquityInstruments"/>
    <link:calculationArc order="1" weight="1.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_ifrs-full_OtherComprehensiveIncomeThatWillNotBeReclassifiedToProfitOrLossNetOfTax_f18ea071-7595-42f9-a4af-f5e086034879" xlink:to="loc_ifrs-full_OtherComprehensiveIncomeNetOfTaxGainsLossesOnHedgingInstrumentsThatHedgeInvestmentsInEquityInstruments_6a4dee36-e4a2-4cdc-b81e-5da449ee8269" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_OtherComprehensiveIncomeNetOfTaxGainsLossesOnRemeasurementsOfDefinedBenefitPlans_d24c5db9-62fd-4f1b-a0ea-0ee5eff29434" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_OtherComprehensiveIncomeNetOfTaxGainsLossesOnRemeasurementsOfDefinedBenefitPlans"/>
    <link:calculationArc order="2" weight="1.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_ifrs-full_OtherComprehensiveIncomeThatWillNotBeReclassifiedToProfitOrLossNetOfTax_f18ea071-7595-42f9-a4af-f5e086034879" xlink:to="loc_ifrs-full_OtherComprehensiveIncomeNetOfTaxGainsLossesOnRemeasurementsOfDefinedBenefitPlans_d24c5db9-62fd-4f1b-a0ea-0ee5eff29434" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_OtherComprehensiveIncomeThatWillBeReclassifiedToProfitOrLossNetOfTax_315efb5e-971c-4114-8f3d-df715897f96f" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_OtherComprehensiveIncomeThatWillBeReclassifiedToProfitOrLossNetOfTax"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_ReclassificationAdjustmentsOnExchangeDifferencesOnTranslationNetOfTax_f366ff34-b952-4c4f-bd9e-9e0c35b463ae" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_ReclassificationAdjustmentsOnExchangeDifferencesOnTranslationNetOfTax"/>
    <link:calculationArc order="1" weight="-1.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_ifrs-full_OtherComprehensiveIncomeThatWillBeReclassifiedToProfitOrLossNetOfTax_315efb5e-971c-4114-8f3d-df715897f96f" xlink:to="loc_ifrs-full_ReclassificationAdjustmentsOnExchangeDifferencesOnTranslationNetOfTax_f366ff34-b952-4c4f-bd9e-9e0c35b463ae" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_ComprehensiveIncome_3a99600a-efb9-4b1e-b3d9-a800d991e4ba" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_ComprehensiveIncome"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_ProfitLoss_169aad54-ff7e-466a-8de3-576a7bc83206" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_ProfitLoss"/>
    <link:calculationArc order="1" weight="1.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_ifrs-full_ComprehensiveIncome_3a99600a-efb9-4b1e-b3d9-a800d991e4ba" xlink:to="loc_ifrs-full_ProfitLoss_169aad54-ff7e-466a-8de3-576a7bc83206" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_OtherComprehensiveIncomeThatWillNotBeReclassifiedToProfitOrLossNetOfTax_8c16edf7-dbbc-4e1f-821d-c8f4ece97f31" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_OtherComprehensiveIncomeThatWillNotBeReclassifiedToProfitOrLossNetOfTax"/>
    <link:calculationArc order="2" weight="1.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_ifrs-full_ComprehensiveIncome_3a99600a-efb9-4b1e-b3d9-a800d991e4ba" xlink:to="loc_ifrs-full_OtherComprehensiveIncomeThatWillNotBeReclassifiedToProfitOrLossNetOfTax_8c16edf7-dbbc-4e1f-821d-c8f4ece97f31" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_OtherComprehensiveIncomeThatWillBeReclassifiedToProfitOrLossNetOfTax_d10fedf3-9175-469f-9b68-e6270de06f5a" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_OtherComprehensiveIncomeThatWillBeReclassifiedToProfitOrLossNetOfTax"/>
    <link:calculationArc order="3" weight="1.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_ifrs-full_ComprehensiveIncome_3a99600a-efb9-4b1e-b3d9-a800d991e4ba" xlink:to="loc_ifrs-full_OtherComprehensiveIncomeThatWillBeReclassifiedToProfitOrLossNetOfTax_d10fedf3-9175-469f-9b68-e6270de06f5a" xlink:type="arc"/>
  </link:calculationLink>
  <link:roleRef roleURI="http://www.prosegur.es/role/StatementoffinancialpositioncurrentnoncurrentStatement" xlink:type="simple" xlink:href="549300N94L4D5NDBFG97-2025-12-31.xsd#StatementoffinancialpositioncurrentnoncurrentStatement"/>
  <link:calculationLink xlink:role="http://www.prosegur.es/role/StatementoffinancialpositioncurrentnoncurrentStatement" xlink:type="extended">
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_EquityAttributableToOwnersOfParent_d6523c69-78fd-4c92-a1b0-546e80301dbb" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_EquityAttributableToOwnersOfParent"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_IssuedCapital_eec6c76b-8729-4430-af1b-5411f7220740" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_IssuedCapital"/>
    <link:calculationArc order="1" weight="1.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_ifrs-full_EquityAttributableToOwnersOfParent_d6523c69-78fd-4c92-a1b0-546e80301dbb" xlink:to="loc_ifrs-full_IssuedCapital_eec6c76b-8729-4430-af1b-5411f7220740" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_SharePremium_a155dbea-0686-4ce8-a4dd-423864b0fbe2" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_SharePremium"/>
    <link:calculationArc order="2" weight="1.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_ifrs-full_EquityAttributableToOwnersOfParent_d6523c69-78fd-4c92-a1b0-546e80301dbb" xlink:to="loc_ifrs-full_SharePremium_a155dbea-0686-4ce8-a4dd-423864b0fbe2" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_TreasuryShares_db59f6b8-73b3-4a9e-a444-c5da7f6d6a5c" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_TreasuryShares"/>
    <link:calculationArc order="3" weight="-1.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_ifrs-full_EquityAttributableToOwnersOfParent_d6523c69-78fd-4c92-a1b0-546e80301dbb" xlink:to="loc_ifrs-full_TreasuryShares_db59f6b8-73b3-4a9e-a444-c5da7f6d6a5c" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_ReserveOfExchangeDifferencesOnTranslation_b34b790e-ca3f-459b-a6ee-0e47ea6cb97e" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_ReserveOfExchangeDifferencesOnTranslation"/>
    <link:calculationArc order="4" weight="1.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_ifrs-full_EquityAttributableToOwnersOfParent_d6523c69-78fd-4c92-a1b0-546e80301dbb" xlink:to="loc_ifrs-full_ReserveOfExchangeDifferencesOnTranslation_b34b790e-ca3f-459b-a6ee-0e47ea6cb97e" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_proseg_RetainedEarningsAndOtherReserves_7028f16f-5fe5-42bd-912e-e51d8933f0c3" xlink:href="549300N94L4D5NDBFG97-2025-12-31.xsd#proseg_RetainedEarningsAndOtherReserves"/>
    <link:calculationArc order="5" weight="1.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_ifrs-full_EquityAttributableToOwnersOfParent_d6523c69-78fd-4c92-a1b0-546e80301dbb" xlink:to="loc_proseg_RetainedEarningsAndOtherReserves_7028f16f-5fe5-42bd-912e-e51d8933f0c3" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_CurrentAssets_826a4ba6-f12d-48ff-aa08-7e855cb5a540" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_CurrentAssets"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_TradeAndOtherCurrentReceivables_d47b903d-e0fa-4af6-8d67-e83c27a269fc" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_TradeAndOtherCurrentReceivables"/>
    <link:calculationArc order="1" weight="1.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_ifrs-full_CurrentAssets_826a4ba6-f12d-48ff-aa08-7e855cb5a540" xlink:to="loc_ifrs-full_TradeAndOtherCurrentReceivables_d47b903d-e0fa-4af6-8d67-e83c27a269fc" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_OtherCurrentFinancialAssets_b50ca720-d489-410a-b2a2-a5b0b9bef655" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_OtherCurrentFinancialAssets"/>
    <link:calculationArc order="2" weight="1.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_ifrs-full_CurrentAssets_826a4ba6-f12d-48ff-aa08-7e855cb5a540" xlink:to="loc_ifrs-full_OtherCurrentFinancialAssets_b50ca720-d489-410a-b2a2-a5b0b9bef655" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_Inventories_4c1b611c-0f91-461a-b9bf-1c146686cf28" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_Inventories"/>
    <link:calculationArc order="3" weight="1.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_ifrs-full_CurrentAssets_826a4ba6-f12d-48ff-aa08-7e855cb5a540" xlink:to="loc_ifrs-full_Inventories_4c1b611c-0f91-461a-b9bf-1c146686cf28" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_CashAndCashEquivalents_4e0d30ff-8671-4228-8f2d-3fdbac325c2a" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_CashAndCashEquivalents"/>
    <link:calculationArc order="4" weight="1.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_ifrs-full_CurrentAssets_826a4ba6-f12d-48ff-aa08-7e855cb5a540" xlink:to="loc_ifrs-full_CashAndCashEquivalents_4e0d30ff-8671-4228-8f2d-3fdbac325c2a" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_CurrentTaxAssets_d6c12a19-724d-4309-ab9c-dc8550784c7f" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_CurrentTaxAssets"/>
    <link:calculationArc order="5" weight="1.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_ifrs-full_CurrentAssets_826a4ba6-f12d-48ff-aa08-7e855cb5a540" xlink:to="loc_ifrs-full_CurrentTaxAssets_d6c12a19-724d-4309-ab9c-dc8550784c7f" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_EquityAndLiabilities_09de5653-9fae-46b0-889f-7fd22f766d46" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_EquityAndLiabilities"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_Equity_233261ec-92c3-4932-8edd-675f5387425b" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_Equity"/>
    <link:calculationArc order="1" weight="1.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_ifrs-full_EquityAndLiabilities_09de5653-9fae-46b0-889f-7fd22f766d46" xlink:to="loc_ifrs-full_Equity_233261ec-92c3-4932-8edd-675f5387425b" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_Liabilities_ee97959d-6f20-48de-90e3-102c5f9f714e" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_Liabilities"/>
    <link:calculationArc order="2" weight="1.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_ifrs-full_EquityAndLiabilities_09de5653-9fae-46b0-889f-7fd22f766d46" xlink:to="loc_ifrs-full_Liabilities_ee97959d-6f20-48de-90e3-102c5f9f714e" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_Liabilities_38126459-b217-47c2-8e6b-0a3c804c9f58" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_Liabilities"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_NoncurrentLiabilities_b0228d27-7ca9-460d-8b60-08c52c018159" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_NoncurrentLiabilities"/>
    <link:calculationArc order="1" weight="1.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_ifrs-full_Liabilities_38126459-b217-47c2-8e6b-0a3c804c9f58" xlink:to="loc_ifrs-full_NoncurrentLiabilities_b0228d27-7ca9-460d-8b60-08c52c018159" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_CurrentLiabilities_b52af6d8-5836-42d1-8f63-bd35db4a48ff" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_CurrentLiabilities"/>
    <link:calculationArc order="2" weight="1.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_ifrs-full_Liabilities_38126459-b217-47c2-8e6b-0a3c804c9f58" xlink:to="loc_ifrs-full_CurrentLiabilities_b52af6d8-5836-42d1-8f63-bd35db4a48ff" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_Equity_6d606bf2-fdcd-431a-aee4-68d70647f8f6" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_Equity"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_NoncontrollingInterests_6ebcb3f1-3399-4055-a04f-ac420307ed53" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_NoncontrollingInterests"/>
    <link:calculationArc order="1" weight="1.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_ifrs-full_Equity_6d606bf2-fdcd-431a-aee4-68d70647f8f6" xlink:to="loc_ifrs-full_NoncontrollingInterests_6ebcb3f1-3399-4055-a04f-ac420307ed53" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_EquityAttributableToOwnersOfParent_df8b2e27-e81a-4af1-a0e9-6ec788de91d6" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_EquityAttributableToOwnersOfParent"/>
    <link:calculationArc order="2" weight="1.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_ifrs-full_Equity_6d606bf2-fdcd-431a-aee4-68d70647f8f6" xlink:to="loc_ifrs-full_EquityAttributableToOwnersOfParent_df8b2e27-e81a-4af1-a0e9-6ec788de91d6" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_NoncurrentLiabilities_83efd47c-9e2f-4954-8fef-10ba646e96e2" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_NoncurrentLiabilities"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_OtherNoncurrentFinancialLiabilities_382436fb-c78f-4074-baa3-9b5cf7c1dacb" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_OtherNoncurrentFinancialLiabilities"/>
    <link:calculationArc order="1" weight="1.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_ifrs-full_NoncurrentLiabilities_83efd47c-9e2f-4954-8fef-10ba646e96e2" xlink:to="loc_ifrs-full_OtherNoncurrentFinancialLiabilities_382436fb-c78f-4074-baa3-9b5cf7c1dacb" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_NoncurrentLeaseLiabilities_0ba95ae6-bd48-4b8e-ad75-1e315cfe0eab" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_NoncurrentLeaseLiabilities"/>
    <link:calculationArc order="2" weight="1.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_ifrs-full_NoncurrentLiabilities_83efd47c-9e2f-4954-8fef-10ba646e96e2" xlink:to="loc_ifrs-full_NoncurrentLeaseLiabilities_0ba95ae6-bd48-4b8e-ad75-1e315cfe0eab" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_DeferredTaxLiabilityAsset_b1ed7c20-11c6-4061-a654-4ab1547b767d" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_DeferredTaxLiabilityAsset"/>
    <link:calculationArc order="3" weight="1.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_ifrs-full_NoncurrentLiabilities_83efd47c-9e2f-4954-8fef-10ba646e96e2" xlink:to="loc_ifrs-full_DeferredTaxLiabilityAsset_b1ed7c20-11c6-4061-a654-4ab1547b767d" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_NoncurrentProvisions_c3cd8bf4-3e6c-4831-b377-991e6aadd704" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_NoncurrentProvisions"/>
    <link:calculationArc order="4" weight="1.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_ifrs-full_NoncurrentLiabilities_83efd47c-9e2f-4954-8fef-10ba646e96e2" xlink:to="loc_ifrs-full_NoncurrentProvisions_c3cd8bf4-3e6c-4831-b377-991e6aadd704" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_OtherNoncurrentLiabilities_70e67d4a-14c9-4a24-a737-d045458eb0b3" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_OtherNoncurrentLiabilities"/>
    <link:calculationArc order="5" weight="1.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_ifrs-full_NoncurrentLiabilities_83efd47c-9e2f-4954-8fef-10ba646e96e2" xlink:to="loc_ifrs-full_OtherNoncurrentLiabilities_70e67d4a-14c9-4a24-a737-d045458eb0b3" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_Assets_21efbbda-c4c3-4135-864f-b72d120479c2" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_Assets"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_NoncurrentAssets_dd43f513-006f-4385-a26c-275f55c0bcc2" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_NoncurrentAssets"/>
    <link:calculationArc order="1" weight="1.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_ifrs-full_Assets_21efbbda-c4c3-4135-864f-b72d120479c2" xlink:to="loc_ifrs-full_NoncurrentAssets_dd43f513-006f-4385-a26c-275f55c0bcc2" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_CurrentAssets_6c1b7d89-d6cc-41fa-b021-038bfd3f7935" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_CurrentAssets"/>
    <link:calculationArc order="2" weight="1.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_ifrs-full_Assets_21efbbda-c4c3-4135-864f-b72d120479c2" xlink:to="loc_ifrs-full_CurrentAssets_6c1b7d89-d6cc-41fa-b021-038bfd3f7935" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_CurrentLiabilities_5224de24-4f9c-469a-87b1-7b6a779998b8" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_CurrentLiabilities"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_TradeAndOtherCurrentPayables_93f07f96-1fd2-4640-aaea-9439783448cc" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_TradeAndOtherCurrentPayables"/>
    <link:calculationArc order="1" weight="1.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_ifrs-full_CurrentLiabilities_5224de24-4f9c-469a-87b1-7b6a779998b8" xlink:to="loc_ifrs-full_TradeAndOtherCurrentPayables_93f07f96-1fd2-4640-aaea-9439783448cc" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_CurrentTaxLiabilities_58d67f84-3378-4b2d-9d94-232b5f66f8c5" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_CurrentTaxLiabilities"/>
    <link:calculationArc order="2" weight="1.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_ifrs-full_CurrentLiabilities_5224de24-4f9c-469a-87b1-7b6a779998b8" xlink:to="loc_ifrs-full_CurrentTaxLiabilities_58d67f84-3378-4b2d-9d94-232b5f66f8c5" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_OtherCurrentFinancialLiabilities_ecfcd5ae-05c4-4019-85af-f1b3ebbae866" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_OtherCurrentFinancialLiabilities"/>
    <link:calculationArc order="3" weight="1.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_ifrs-full_CurrentLiabilities_5224de24-4f9c-469a-87b1-7b6a779998b8" xlink:to="loc_ifrs-full_OtherCurrentFinancialLiabilities_ecfcd5ae-05c4-4019-85af-f1b3ebbae866" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_CurrentLeaseLiabilities_2d9c5699-f3ab-492b-ad6f-d14586975eab" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_CurrentLeaseLiabilities"/>
    <link:calculationArc order="4" weight="1.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_ifrs-full_CurrentLiabilities_5224de24-4f9c-469a-87b1-7b6a779998b8" xlink:to="loc_ifrs-full_CurrentLeaseLiabilities_2d9c5699-f3ab-492b-ad6f-d14586975eab" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_CurrentProvisions_b3cfe613-9e7b-4e15-b5c4-f4fb0b4162ee" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_CurrentProvisions"/>
    <link:calculationArc order="5" weight="1.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_ifrs-full_CurrentLiabilities_5224de24-4f9c-469a-87b1-7b6a779998b8" xlink:to="loc_ifrs-full_CurrentProvisions_b3cfe613-9e7b-4e15-b5c4-f4fb0b4162ee" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_OtherCurrentLiabilities_7e4af61a-6ade-4d29-8721-fa38777dc84d" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_OtherCurrentLiabilities"/>
    <link:calculationArc order="6" weight="1.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_ifrs-full_CurrentLiabilities_5224de24-4f9c-469a-87b1-7b6a779998b8" xlink:to="loc_ifrs-full_OtherCurrentLiabilities_7e4af61a-6ade-4d29-8721-fa38777dc84d" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_NoncurrentAssets_f7222233-6bfe-4f4d-a6b0-bc2a76df22f7" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_NoncurrentAssets"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_PropertyPlantAndEquipment_89d96d0f-c6c8-4cb4-8c27-cc6ae06c533a" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_PropertyPlantAndEquipment"/>
    <link:calculationArc order="1" weight="1.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_ifrs-full_NoncurrentAssets_f7222233-6bfe-4f4d-a6b0-bc2a76df22f7" xlink:to="loc_ifrs-full_PropertyPlantAndEquipment_89d96d0f-c6c8-4cb4-8c27-cc6ae06c533a" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_RightofuseAssets_1328e7a1-645a-4a1f-b63e-9fe84df99741" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_RightofuseAssets"/>
    <link:calculationArc order="2" weight="1.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_ifrs-full_NoncurrentAssets_f7222233-6bfe-4f4d-a6b0-bc2a76df22f7" xlink:to="loc_ifrs-full_RightofuseAssets_1328e7a1-645a-4a1f-b63e-9fe84df99741" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_Goodwill_c503d4fe-befb-4b2c-ad8d-2639c10b4e2c" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_Goodwill"/>
    <link:calculationArc order="3" weight="1.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_ifrs-full_NoncurrentAssets_f7222233-6bfe-4f4d-a6b0-bc2a76df22f7" xlink:to="loc_ifrs-full_Goodwill_c503d4fe-befb-4b2c-ad8d-2639c10b4e2c" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_OtherIntangibleAssets_334e2678-ef34-488e-abad-6692fbbf26d9" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_OtherIntangibleAssets"/>
    <link:calculationArc order="4" weight="1.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_ifrs-full_NoncurrentAssets_f7222233-6bfe-4f4d-a6b0-bc2a76df22f7" xlink:to="loc_ifrs-full_OtherIntangibleAssets_334e2678-ef34-488e-abad-6692fbbf26d9" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_InvestmentProperty_e51d8b82-cf71-4ed8-9ebc-cd79dd032151" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_InvestmentProperty"/>
    <link:calculationArc order="5" weight="1.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_ifrs-full_NoncurrentAssets_f7222233-6bfe-4f4d-a6b0-bc2a76df22f7" xlink:to="loc_ifrs-full_InvestmentProperty_e51d8b82-cf71-4ed8-9ebc-cd79dd032151" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_InvestmentAccountedForUsingEquityMethod_43d923cf-917d-4f73-b783-849a479f0cff" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_InvestmentAccountedForUsingEquityMethod"/>
    <link:calculationArc order="6" weight="1.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_ifrs-full_NoncurrentAssets_f7222233-6bfe-4f4d-a6b0-bc2a76df22f7" xlink:to="loc_ifrs-full_InvestmentAccountedForUsingEquityMethod_43d923cf-917d-4f73-b783-849a479f0cff" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_OtherNoncurrentFinancialAssets_b5fc09f3-479e-4de4-8a31-86dfc277ca29" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_OtherNoncurrentFinancialAssets"/>
    <link:calculationArc order="7" weight="1.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_ifrs-full_NoncurrentAssets_f7222233-6bfe-4f4d-a6b0-bc2a76df22f7" xlink:to="loc_ifrs-full_OtherNoncurrentFinancialAssets_b5fc09f3-479e-4de4-8a31-86dfc277ca29" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_DeferredTaxAssets_f7a3c640-4fe2-4bac-9744-cfae9e71b4e7" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_DeferredTaxAssets"/>
    <link:calculationArc order="8" weight="1.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_ifrs-full_NoncurrentAssets_f7222233-6bfe-4f4d-a6b0-bc2a76df22f7" xlink:to="loc_ifrs-full_DeferredTaxAssets_f7a3c640-4fe2-4bac-9744-cfae9e71b4e7" xlink:type="arc"/>
  </link:calculationLink>
  <link:roleRef roleURI="http://www.prosegur.es/role/StatementofchangesinequityStatement" xlink:type="simple" xlink:href="549300N94L4D5NDBFG97-2025-12-31.xsd#StatementofchangesinequityStatement"/>
  <link:calculationLink xlink:role="http://www.prosegur.es/role/StatementofchangesinequityStatement" xlink:type="extended">
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_Equity_03529108-ec44-43bc-bcf5-6fcc0cc20baa" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_Equity"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_IncreaseDecreaseThroughTransfersAndOtherChangesEquity_a3ff96ed-3154-4f5f-8b18-932678641eaf" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_IncreaseDecreaseThroughTransfersAndOtherChangesEquity"/>
    <link:calculationArc order="1" weight="1.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_ifrs-full_Equity_03529108-ec44-43bc-bcf5-6fcc0cc20baa" xlink:to="loc_ifrs-full_IncreaseDecreaseThroughTransfersAndOtherChangesEquity_a3ff96ed-3154-4f5f-8b18-932678641eaf" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_ComprehensiveIncome_9c210517-0eb8-4e84-af60-0dc369685df2" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_ComprehensiveIncome"/>
    <link:calculationArc order="2" weight="1.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_ifrs-full_Equity_03529108-ec44-43bc-bcf5-6fcc0cc20baa" xlink:to="loc_ifrs-full_ComprehensiveIncome_9c210517-0eb8-4e84-af60-0dc369685df2" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_IncreaseDecreaseThroughOtherDistributionsToOwners_1baf5576-ffcc-4119-8347-668b66d6f3b2" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_IncreaseDecreaseThroughOtherDistributionsToOwners"/>
    <link:calculationArc order="3" weight="-1.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_ifrs-full_Equity_03529108-ec44-43bc-bcf5-6fcc0cc20baa" xlink:to="loc_ifrs-full_IncreaseDecreaseThroughOtherDistributionsToOwners_1baf5576-ffcc-4119-8347-668b66d6f3b2" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_IncreaseDecreaseThroughSharebasedPaymentTransactions_f8af409a-2035-4477-8ec6-480593780655" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_IncreaseDecreaseThroughSharebasedPaymentTransactions"/>
    <link:calculationArc order="4" weight="1.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_ifrs-full_Equity_03529108-ec44-43bc-bcf5-6fcc0cc20baa" xlink:to="loc_ifrs-full_IncreaseDecreaseThroughSharebasedPaymentTransactions_f8af409a-2035-4477-8ec6-480593780655" xlink:type="arc"/>
  </link:calculationLink>
  <link:roleRef roleURI="http://www.prosegur.es/role/StatementofcashflowsindirectmethodStatement" xlink:type="simple" xlink:href="549300N94L4D5NDBFG97-2025-12-31.xsd#StatementofcashflowsindirectmethodStatement"/>
  <link:calculationLink xlink:role="http://www.prosegur.es/role/StatementofcashflowsindirectmethodStatement" xlink:type="extended">
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_CashFlowsFromUsedInOperatingActivities_fd07510b-b35d-4ade-b96d-a0b76d024832" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_CashFlowsFromUsedInOperatingActivities"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_AdjustmentsForUndistributedProfitsOfInvestmentsAccountedForUsingEquityMethod_e529f361-82de-46ad-a185-009d50ce347c" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_AdjustmentsForUndistributedProfitsOfInvestmentsAccountedForUsingEquityMethod"/>
    <link:calculationArc order="1" weight="-1.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_ifrs-full_CashFlowsFromUsedInOperatingActivities_fd07510b-b35d-4ade-b96d-a0b76d024832" xlink:to="loc_ifrs-full_AdjustmentsForUndistributedProfitsOfInvestmentsAccountedForUsingEquityMethod_e529f361-82de-46ad-a185-009d50ce347c" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_OtherAdjustmentsForNoncashItems_6cb99ddd-010c-4a61-b478-b0d427697a68" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_OtherAdjustmentsForNoncashItems"/>
    <link:calculationArc order="2" weight="1.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_ifrs-full_CashFlowsFromUsedInOperatingActivities_fd07510b-b35d-4ade-b96d-a0b76d024832" xlink:to="loc_ifrs-full_OtherAdjustmentsForNoncashItems_6cb99ddd-010c-4a61-b478-b0d427697a68" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_AdjustmentsForAmortisationExpense_084cb64d-6745-4eb1-8e28-aa3c53edc5bd" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_AdjustmentsForAmortisationExpense"/>
    <link:calculationArc order="3" weight="1.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_ifrs-full_CashFlowsFromUsedInOperatingActivities_fd07510b-b35d-4ade-b96d-a0b76d024832" xlink:to="loc_ifrs-full_AdjustmentsForAmortisationExpense_084cb64d-6745-4eb1-8e28-aa3c53edc5bd" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_proseg_AdjustmentsForImpairmentLossTradeAndOtherReceivablesAndInventories_a8d4c960-b4d7-4c29-89bc-c92bd985b649" xlink:href="549300N94L4D5NDBFG97-2025-12-31.xsd#proseg_AdjustmentsForImpairmentLossTradeAndOtherReceivablesAndInventories"/>
    <link:calculationArc order="4" weight="1.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_ifrs-full_CashFlowsFromUsedInOperatingActivities_fd07510b-b35d-4ade-b96d-a0b76d024832" xlink:to="loc_proseg_AdjustmentsForImpairmentLossTradeAndOtherReceivablesAndInventories_a8d4c960-b4d7-4c29-89bc-c92bd985b649" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_AdjustmentsForFinanceIncome_81bf968d-edbe-40e8-94c1-e6c03216653f" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_AdjustmentsForFinanceIncome"/>
    <link:calculationArc order="5" weight="-1.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_ifrs-full_CashFlowsFromUsedInOperatingActivities_fd07510b-b35d-4ade-b96d-a0b76d024832" xlink:to="loc_ifrs-full_AdjustmentsForFinanceIncome_81bf968d-edbe-40e8-94c1-e6c03216653f" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_AdjustmentsForIncreaseDecreaseInOtherLiabilities_97ccae69-1829-42bd-a3c6-08ba1690422c" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_AdjustmentsForIncreaseDecreaseInOtherLiabilities"/>
    <link:calculationArc order="6" weight="1.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_ifrs-full_CashFlowsFromUsedInOperatingActivities_fd07510b-b35d-4ade-b96d-a0b76d024832" xlink:to="loc_ifrs-full_AdjustmentsForIncreaseDecreaseInOtherLiabilities_97ccae69-1829-42bd-a3c6-08ba1690422c" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_AdjustmentsForDecreaseIncreaseInTradeAndOtherReceivables_0a405209-257b-4857-ae12-cbb7e45c8ecb" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_AdjustmentsForDecreaseIncreaseInTradeAndOtherReceivables"/>
    <link:calculationArc order="7" weight="1.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_ifrs-full_CashFlowsFromUsedInOperatingActivities_fd07510b-b35d-4ade-b96d-a0b76d024832" xlink:to="loc_ifrs-full_AdjustmentsForDecreaseIncreaseInTradeAndOtherReceivables_0a405209-257b-4857-ae12-cbb7e45c8ecb" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_AdjustmentsForIncomeTaxExpense_c15d01cf-c136-415e-818a-aa48cc51bd2f" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_AdjustmentsForIncomeTaxExpense"/>
    <link:calculationArc order="8" weight="1.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_ifrs-full_CashFlowsFromUsedInOperatingActivities_fd07510b-b35d-4ade-b96d-a0b76d024832" xlink:to="loc_ifrs-full_AdjustmentsForIncomeTaxExpense_c15d01cf-c136-415e-818a-aa48cc51bd2f" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_AdjustmentsForIncreaseDecreaseInOtherCurrentLiabilities_a093ea92-c46d-4bf1-8b09-2ad45be49f2c" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_AdjustmentsForIncreaseDecreaseInOtherCurrentLiabilities"/>
    <link:calculationArc order="9" weight="1.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_ifrs-full_CashFlowsFromUsedInOperatingActivities_fd07510b-b35d-4ade-b96d-a0b76d024832" xlink:to="loc_ifrs-full_AdjustmentsForIncreaseDecreaseInOtherCurrentLiabilities_a093ea92-c46d-4bf1-8b09-2ad45be49f2c" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_AdjustmentsForGainLossOnDisposalsPropertyPlantAndEquipment_cfd90fe1-f9ff-45e8-8478-cfa99a296240" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_AdjustmentsForGainLossOnDisposalsPropertyPlantAndEquipment"/>
    <link:calculationArc order="10" weight="-1.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_ifrs-full_CashFlowsFromUsedInOperatingActivities_fd07510b-b35d-4ade-b96d-a0b76d024832" xlink:to="loc_ifrs-full_AdjustmentsForGainLossOnDisposalsPropertyPlantAndEquipment_cfd90fe1-f9ff-45e8-8478-cfa99a296240" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_AdjustmentsForProvisions_55286bfc-02a6-4c1f-bd17-51f50e6cf76e" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_AdjustmentsForProvisions"/>
    <link:calculationArc order="11" weight="1.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_ifrs-full_CashFlowsFromUsedInOperatingActivities_fd07510b-b35d-4ade-b96d-a0b76d024832" xlink:to="loc_ifrs-full_AdjustmentsForProvisions_55286bfc-02a6-4c1f-bd17-51f50e6cf76e" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_AdjustmentsForDecreaseIncreaseInInventories_1d7991ce-c445-4d5e-9ded-a8add3127ac1" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_AdjustmentsForDecreaseIncreaseInInventories"/>
    <link:calculationArc order="12" weight="1.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_ifrs-full_CashFlowsFromUsedInOperatingActivities_fd07510b-b35d-4ade-b96d-a0b76d024832" xlink:to="loc_ifrs-full_AdjustmentsForDecreaseIncreaseInInventories_1d7991ce-c445-4d5e-9ded-a8add3127ac1" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_AdjustmentsForFinanceIncomeCost_583507de-8206-46d4-8e98-e64a2869e2d6" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_AdjustmentsForFinanceIncomeCost"/>
    <link:calculationArc order="13" weight="-1.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_ifrs-full_CashFlowsFromUsedInOperatingActivities_fd07510b-b35d-4ade-b96d-a0b76d024832" xlink:to="loc_ifrs-full_AdjustmentsForFinanceIncomeCost_583507de-8206-46d4-8e98-e64a2869e2d6" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_AdjustmentsForIncreaseDecreaseInTradeAndOtherPayables_3f6cc5ca-1c08-4f66-b24e-aae1e78ae1ee" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_AdjustmentsForIncreaseDecreaseInTradeAndOtherPayables"/>
    <link:calculationArc order="14" weight="1.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_ifrs-full_CashFlowsFromUsedInOperatingActivities_fd07510b-b35d-4ade-b96d-a0b76d024832" xlink:to="loc_ifrs-full_AdjustmentsForIncreaseDecreaseInTradeAndOtherPayables_3f6cc5ca-1c08-4f66-b24e-aae1e78ae1ee" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_AdjustmentsForImpairmentLossReversalOfImpairmentLossRecognisedInProfitOrLoss_f40a5dd2-d817-467f-a360-9431d0bf5711" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_AdjustmentsForImpairmentLossReversalOfImpairmentLossRecognisedInProfitOrLoss"/>
    <link:calculationArc order="15" weight="1.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_ifrs-full_CashFlowsFromUsedInOperatingActivities_fd07510b-b35d-4ade-b96d-a0b76d024832" xlink:to="loc_ifrs-full_AdjustmentsForImpairmentLossReversalOfImpairmentLossRecognisedInProfitOrLoss_f40a5dd2-d817-467f-a360-9431d0bf5711" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_IncomeTaxesPaidClassifiedAsOperatingActivities_59478343-067c-451d-b979-e3e55c593ca9" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_IncomeTaxesPaidClassifiedAsOperatingActivities"/>
    <link:calculationArc order="16" weight="-1.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_ifrs-full_CashFlowsFromUsedInOperatingActivities_fd07510b-b35d-4ade-b96d-a0b76d024832" xlink:to="loc_ifrs-full_IncomeTaxesPaidClassifiedAsOperatingActivities_59478343-067c-451d-b979-e3e55c593ca9" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_ProfitLoss_aecbd34c-7372-479f-8e26-64d2cf2c972a" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_ProfitLoss"/>
    <link:calculationArc order="17" weight="1.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_ifrs-full_CashFlowsFromUsedInOperatingActivities_fd07510b-b35d-4ade-b96d-a0b76d024832" xlink:to="loc_ifrs-full_ProfitLoss_aecbd34c-7372-479f-8e26-64d2cf2c972a" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_InterestPaidClassifiedAsOperatingActivities_0b75235e-627d-4727-b661-c0caae3f9b48" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_InterestPaidClassifiedAsOperatingActivities"/>
    <link:calculationArc order="18" weight="-1.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_ifrs-full_CashFlowsFromUsedInOperatingActivities_fd07510b-b35d-4ade-b96d-a0b76d024832" xlink:to="loc_ifrs-full_InterestPaidClassifiedAsOperatingActivities_0b75235e-627d-4727-b661-c0caae3f9b48" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_CashFlowsFromUsedInFinancingActivities_1b616fb6-e816-4b8c-b6f5-049c2543c481" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_CashFlowsFromUsedInFinancingActivities"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_PaymentsToAcquireOrRedeemEntitysShares_24d878e1-2b08-4cf9-a303-660f73907ed7" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_PaymentsToAcquireOrRedeemEntitysShares"/>
    <link:calculationArc order="1" weight="-1.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_ifrs-full_CashFlowsFromUsedInFinancingActivities_1b616fb6-e816-4b8c-b6f5-049c2543c481" xlink:to="loc_ifrs-full_PaymentsToAcquireOrRedeemEntitysShares_24d878e1-2b08-4cf9-a303-660f73907ed7" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_ProceedsFromIssueOfBondsNotesAndDebentures_060bbc96-083f-4b2f-b222-7d751099fd21" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_ProceedsFromIssueOfBondsNotesAndDebentures"/>
    <link:calculationArc order="2" weight="1.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_ifrs-full_CashFlowsFromUsedInFinancingActivities_1b616fb6-e816-4b8c-b6f5-049c2543c481" xlink:to="loc_ifrs-full_ProceedsFromIssueOfBondsNotesAndDebentures_060bbc96-083f-4b2f-b222-7d751099fd21" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_PaymentsOfLeaseLiabilitiesClassifiedAsFinancingActivities_aea0454a-5b4d-49eb-8d96-dcd734915758" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_PaymentsOfLeaseLiabilitiesClassifiedAsFinancingActivities"/>
    <link:calculationArc order="3" weight="-1.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_ifrs-full_CashFlowsFromUsedInFinancingActivities_1b616fb6-e816-4b8c-b6f5-049c2543c481" xlink:to="loc_ifrs-full_PaymentsOfLeaseLiabilitiesClassifiedAsFinancingActivities_aea0454a-5b4d-49eb-8d96-dcd734915758" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_RepaymentsOfBorrowingsClassifiedAsFinancingActivities_ffed2e6e-00df-4e56-92da-14cbd16816c4" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_RepaymentsOfBorrowingsClassifiedAsFinancingActivities"/>
    <link:calculationArc order="4" weight="-1.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_ifrs-full_CashFlowsFromUsedInFinancingActivities_1b616fb6-e816-4b8c-b6f5-049c2543c481" xlink:to="loc_ifrs-full_RepaymentsOfBorrowingsClassifiedAsFinancingActivities_ffed2e6e-00df-4e56-92da-14cbd16816c4" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_OtherInflowsOutflowsOfCashClassifiedAsFinancingActivities_c825d04b-1d98-457d-9370-468a4bfa4d90" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_OtherInflowsOutflowsOfCashClassifiedAsFinancingActivities"/>
    <link:calculationArc order="5" weight="1.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_ifrs-full_CashFlowsFromUsedInFinancingActivities_1b616fb6-e816-4b8c-b6f5-049c2543c481" xlink:to="loc_ifrs-full_OtherInflowsOutflowsOfCashClassifiedAsFinancingActivities_c825d04b-1d98-457d-9370-468a4bfa4d90" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_DividendsPaidClassifiedAsFinancingActivities_62e630d3-b01b-453d-998e-c89d1d44d971" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_DividendsPaidClassifiedAsFinancingActivities"/>
    <link:calculationArc order="6" weight="-1.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_ifrs-full_CashFlowsFromUsedInFinancingActivities_1b616fb6-e816-4b8c-b6f5-049c2543c481" xlink:to="loc_ifrs-full_DividendsPaidClassifiedAsFinancingActivities_62e630d3-b01b-453d-998e-c89d1d44d971" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_ProceedsFromBorrowingsClassifiedAsFinancingActivities_624d965c-f443-436d-8f99-dc1688447e2d" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_ProceedsFromBorrowingsClassifiedAsFinancingActivities"/>
    <link:calculationArc order="7" weight="1.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_ifrs-full_CashFlowsFromUsedInFinancingActivities_1b616fb6-e816-4b8c-b6f5-049c2543c481" xlink:to="loc_ifrs-full_ProceedsFromBorrowingsClassifiedAsFinancingActivities_624d965c-f443-436d-8f99-dc1688447e2d" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_IncreaseDecreaseInCashAndCashEquivalentsBeforeEffectOfExchangeRateChanges_2f8b778c-9778-4cc0-bf94-e2cd840a9d2c" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_IncreaseDecreaseInCashAndCashEquivalentsBeforeEffectOfExchangeRateChanges"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_CashFlowsFromUsedInInvestingActivities_601c5c68-af10-44b0-8544-7d9de5fbaef8" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_CashFlowsFromUsedInInvestingActivities"/>
    <link:calculationArc order="1" weight="1.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_ifrs-full_IncreaseDecreaseInCashAndCashEquivalentsBeforeEffectOfExchangeRateChanges_2f8b778c-9778-4cc0-bf94-e2cd840a9d2c" xlink:to="loc_ifrs-full_CashFlowsFromUsedInInvestingActivities_601c5c68-af10-44b0-8544-7d9de5fbaef8" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_CashFlowsFromUsedInFinancingActivities_7758bf80-c722-4216-9e5f-34d19ef90696" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_CashFlowsFromUsedInFinancingActivities"/>
    <link:calculationArc order="2" weight="1.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_ifrs-full_IncreaseDecreaseInCashAndCashEquivalentsBeforeEffectOfExchangeRateChanges_2f8b778c-9778-4cc0-bf94-e2cd840a9d2c" xlink:to="loc_ifrs-full_CashFlowsFromUsedInFinancingActivities_7758bf80-c722-4216-9e5f-34d19ef90696" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_CashFlowsFromUsedInOperatingActivities_ca7088f6-3ba0-4e09-b704-da8d4837328a" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_CashFlowsFromUsedInOperatingActivities"/>
    <link:calculationArc order="3" weight="1.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_ifrs-full_IncreaseDecreaseInCashAndCashEquivalentsBeforeEffectOfExchangeRateChanges_2f8b778c-9778-4cc0-bf94-e2cd840a9d2c" xlink:to="loc_ifrs-full_CashFlowsFromUsedInOperatingActivities_ca7088f6-3ba0-4e09-b704-da8d4837328a" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_CashFlowsFromUsedInInvestingActivities_f85d22f5-d109-4ed2-8b0c-43b99a36089c" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_CashFlowsFromUsedInInvestingActivities"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_ProceedsFromSalesOrMaturityOfFinancialInstrumentsClassifiedAsInvestingActivities_47ed3f42-07ab-4fd8-844c-2154c095d370" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_ProceedsFromSalesOrMaturityOfFinancialInstrumentsClassifiedAsInvestingActivities"/>
    <link:calculationArc order="1" weight="1.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_ifrs-full_CashFlowsFromUsedInInvestingActivities_f85d22f5-d109-4ed2-8b0c-43b99a36089c" xlink:to="loc_ifrs-full_ProceedsFromSalesOrMaturityOfFinancialInstrumentsClassifiedAsInvestingActivities_47ed3f42-07ab-4fd8-844c-2154c095d370" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_CashFlowsUsedInObtainingControlOfSubsidiariesOrOtherBusinessesClassifiedAsInvestingActivities_6693d2ab-80db-49e7-8d5c-14abedfb0041" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_CashFlowsUsedInObtainingControlOfSubsidiariesOrOtherBusinessesClassifiedAsInvestingActivities"/>
    <link:calculationArc order="2" weight="-1.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_ifrs-full_CashFlowsFromUsedInInvestingActivities_f85d22f5-d109-4ed2-8b0c-43b99a36089c" xlink:to="loc_ifrs-full_CashFlowsUsedInObtainingControlOfSubsidiariesOrOtherBusinessesClassifiedAsInvestingActivities_6693d2ab-80db-49e7-8d5c-14abedfb0041" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_DividendsReceivedClassifiedAsInvestingActivities_96fa6989-870a-4ec6-b34f-2c4b4424cd11" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_DividendsReceivedClassifiedAsInvestingActivities"/>
    <link:calculationArc order="3" weight="1.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_ifrs-full_CashFlowsFromUsedInInvestingActivities_f85d22f5-d109-4ed2-8b0c-43b99a36089c" xlink:to="loc_ifrs-full_DividendsReceivedClassifiedAsInvestingActivities_96fa6989-870a-4ec6-b34f-2c4b4424cd11" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_ProceedsFromSalesOfPropertyPlantAndEquipmentClassifiedAsInvestingActivities_8eb297e3-5791-423b-be47-b790993c685e" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_ProceedsFromSalesOfPropertyPlantAndEquipmentClassifiedAsInvestingActivities"/>
    <link:calculationArc order="4" weight="1.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_ifrs-full_CashFlowsFromUsedInInvestingActivities_f85d22f5-d109-4ed2-8b0c-43b99a36089c" xlink:to="loc_ifrs-full_ProceedsFromSalesOfPropertyPlantAndEquipmentClassifiedAsInvestingActivities_8eb297e3-5791-423b-be47-b790993c685e" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_PurchaseOfPropertyPlantAndEquipmentClassifiedAsInvestingActivities_ab963d52-130f-403a-8ea1-965be730be8e" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_PurchaseOfPropertyPlantAndEquipmentClassifiedAsInvestingActivities"/>
    <link:calculationArc order="5" weight="-1.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_ifrs-full_CashFlowsFromUsedInInvestingActivities_f85d22f5-d109-4ed2-8b0c-43b99a36089c" xlink:to="loc_ifrs-full_PurchaseOfPropertyPlantAndEquipmentClassifiedAsInvestingActivities_ab963d52-130f-403a-8ea1-965be730be8e" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_PurchaseOfIntangibleAssetsClassifiedAsInvestingActivities_0127e754-a9de-4334-be8a-8b5403bf3319" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_PurchaseOfIntangibleAssetsClassifiedAsInvestingActivities"/>
    <link:calculationArc order="6" weight="-1.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_ifrs-full_CashFlowsFromUsedInInvestingActivities_f85d22f5-d109-4ed2-8b0c-43b99a36089c" xlink:to="loc_ifrs-full_PurchaseOfIntangibleAssetsClassifiedAsInvestingActivities_0127e754-a9de-4334-be8a-8b5403bf3319" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_PurchaseOfFinancialInstrumentsClassifiedAsInvestingActivities_a326d83c-9cc9-46ce-9989-bc9a206393a9" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_PurchaseOfFinancialInstrumentsClassifiedAsInvestingActivities"/>
    <link:calculationArc order="7" weight="-1.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_ifrs-full_CashFlowsFromUsedInInvestingActivities_f85d22f5-d109-4ed2-8b0c-43b99a36089c" xlink:to="loc_ifrs-full_PurchaseOfFinancialInstrumentsClassifiedAsInvestingActivities_a326d83c-9cc9-46ce-9989-bc9a206393a9" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_CashFlowsFromLosingControlOfSubsidiariesOrOtherBusinessesClassifiedAsInvestingActivities_c72b49a0-2b69-4691-9b86-3271a7341208" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_CashFlowsFromLosingControlOfSubsidiariesOrOtherBusinessesClassifiedAsInvestingActivities"/>
    <link:calculationArc order="8" weight="1.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_ifrs-full_CashFlowsFromUsedInInvestingActivities_f85d22f5-d109-4ed2-8b0c-43b99a36089c" xlink:to="loc_ifrs-full_CashFlowsFromLosingControlOfSubsidiariesOrOtherBusinessesClassifiedAsInvestingActivities_c72b49a0-2b69-4691-9b86-3271a7341208" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_InterestReceivedClassifiedAsInvestingActivities_4ac84429-e8d5-4ab9-b886-374486833127" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_InterestReceivedClassifiedAsInvestingActivities"/>
    <link:calculationArc order="9" weight="1.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_ifrs-full_CashFlowsFromUsedInInvestingActivities_f85d22f5-d109-4ed2-8b0c-43b99a36089c" xlink:to="loc_ifrs-full_InterestReceivedClassifiedAsInvestingActivities_4ac84429-e8d5-4ab9-b886-374486833127" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_OtherCashPaymentsToAcquireInterestsInJointVenturesClassifiedAsInvestingActivities_0ae1a4df-e251-4c48-8af2-9edf92247859" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_OtherCashPaymentsToAcquireInterestsInJointVenturesClassifiedAsInvestingActivities"/>
    <link:calculationArc order="10" weight="-1.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_ifrs-full_CashFlowsFromUsedInInvestingActivities_f85d22f5-d109-4ed2-8b0c-43b99a36089c" xlink:to="loc_ifrs-full_OtherCashPaymentsToAcquireInterestsInJointVenturesClassifiedAsInvestingActivities_0ae1a4df-e251-4c48-8af2-9edf92247859" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_CashAndCashEquivalents_10334f81-549c-4894-9b81-2819b46d812e" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_CashAndCashEquivalents"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_IncreaseDecreaseInCashAndCashEquivalentsBeforeEffectOfExchangeRateChanges_0a5a326d-7f4b-4153-9751-db718cd0fafe" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_IncreaseDecreaseInCashAndCashEquivalentsBeforeEffectOfExchangeRateChanges"/>
    <link:calculationArc order="1" weight="1.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_ifrs-full_CashAndCashEquivalents_10334f81-549c-4894-9b81-2819b46d812e" xlink:to="loc_ifrs-full_IncreaseDecreaseInCashAndCashEquivalentsBeforeEffectOfExchangeRateChanges_0a5a326d-7f4b-4153-9751-db718cd0fafe" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_EffectOfExchangeRateChangesOnCashAndCashEquivalents_54b0d35e-9ff2-48cc-8020-be29529c156e" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_EffectOfExchangeRateChangesOnCashAndCashEquivalents"/>
    <link:calculationArc order="2" weight="1.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_ifrs-full_CashAndCashEquivalents_10334f81-549c-4894-9b81-2819b46d812e" xlink:to="loc_ifrs-full_EffectOfExchangeRateChangesOnCashAndCashEquivalents_54b0d35e-9ff2-48cc-8020-be29529c156e" xlink:type="arc"/>
  </link:calculationLink>
</link:linkbase>
